| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.IDeviceVariable Interface Reference

DeviceVariable interface. Contains data about device variables. Allows the application to collect custom data and send it back to the LicenseSpring platform. Collect data like fields from a customer registration form, error codes, system information or anything else that the SDK is not collecting by default. More...

Inheritance diagram for LicenseSpring.IDeviceVariable:

## Public Member Functions
bool | IsEmpty ()
| Check if variable is considered empty.

## Properties
DateTime | DateTimeUpdated`[get]`
| Device variable date time when it was updated on the backend.
DateTime | DateTimeUpdatedUtc`[get]`
| Device variable date time in UTC when it was updated on the backend.
int | Id`[get]`
| Device variable identifier.
string | Name`[get]`
| Data field name.
string | Value`[get]`
| Data field value.

## Detailed Description

DeviceVariable interface. Contains data about device variables. Allows the application to collect custom data and send it back to the LicenseSpring platform. Collect data like fields from a customer registration form, error codes, system information or anything else that the SDK is not collecting by default.

## Member Function Documentation

## ◆ IsEmpty()

bool LicenseSpring.IDeviceVariable.IsEmpty | ( |  | ) |

Check if variable is considered empty.

Returns
  True if name or value is empty

Implemented in LicenseSpring.DeviceVariable.

## Property Documentation

## ◆ DateTimeUpdated

DateTime LicenseSpring.IDeviceVariable.DateTimeUpdated
| get

Device variable date time when it was updated on the backend.

This value is available after getting device variables data from the backend

Implemented in LicenseSpring.DeviceVariable.

## ◆ DateTimeUpdatedUtc

DateTime LicenseSpring.IDeviceVariable.DateTimeUpdatedUtc
| get

Device variable date time in UTC when it was updated on the backend.

This value is available after getting device variables data from the backend

Implemented in LicenseSpring.DeviceVariable.

## ◆ Id

int LicenseSpring.IDeviceVariable.Id
| get

Device variable identifier.

This value is available after getting device variables data from the backend

Implemented in LicenseSpring.DeviceVariable.

## ◆ Name

string LicenseSpring.IDeviceVariable.Name
| get

Data field name.

Implemented in LicenseSpring.DeviceVariable.

## ◆ Value

string LicenseSpring.IDeviceVariable.Value
| get

Data field value.

Implemented in LicenseSpring.DeviceVariable.

The documentation for this interface was generated from the following file:

- DeviceVariable.cs